package com.ippon.pagination.domain;

import static org.assertj.core.api.Assertions.*;

import com.ippon.error.domain.ErrorStatus;
import org.junit.jupiter.api.Test;

class PaginationExceptionUnitTest {

  @Test
  void shouldGetOverTenThousandExceptionInformation() {
    PaginationException exception = PaginationException.overTenThousand();

    assertThat(exception.getMyAppMessage()).isEqualTo(PaginationMessage.OVER_TEN_THOUSAND);
    assertThat(exception.getMessage()).contains("over 10 000");
    assertThat(exception.getStatus()).isEqualTo(ErrorStatus.BAD_REQUEST);
  }
}
